Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST outbounds/:id/add_agents

Ostatnia modyfikacja 2026-05-18 13:56:05
Dodaje listę agentów do kampanii.

URL

https://your-system-name.thulium.com/api/outbounds/:id/add_agents

Parametry

id

wymagany

Pięcioznakowy identyfikator kampanii. Przykładowa wartość: 00001
logins

wymagany

Tablica loginów agentów, którzy będą dodani do kampanii. Przykładowa wartość: ["anowak", "jkowalski"]

Przykładowy request

POST https://your-system-name.thulium.com/api/outbounds/00001/add_agents
Dane {"logins":["anowak","jkowalski"]}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"logins":["anowak","jkowalski"]}';

$request = curl_init('https://your-system-name.thulium.com/api/outbounds/00001/add_agents');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/outbounds/00001/add_agents", "{\"logins\":[\"anowak\",\"jkowalski\"]}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{"logins":["anowak","jkowalski"]}' "https://your-system-name.thulium.com/api/outbounds/00001/add_agents"

HTTPie
echo '{"logins":["anowak","jkowalski"]}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/outbounds/00001/add_agents